<div class="popup" [ngClass]="{ 'popup--show': id }">
  <div class="popup__body">
    <div class="popup__body__backdrop" (click)="onCancelButtonClick()"></div>
    <div
      class="popup__body__box"
      [ngClass]="{
        'popup__body__box--show': id,
        'popup__body__box--hide': !id
      }"
    >
      <h1 class="popup__body__box__heading">Confirm Deletion</h1>
      <p class="popup__body__box__message">
        Are you sure you want to delete invoice {{ id }}? This action cannot be
        undone.
      </p>
      <div class="popup__body__box__buttons">
        <button class="btn btn--secondary" (click)="onCancelButtonClick()">
          Cancel
        </button>
        <button class="btn btn--danger" (click)="onDeleteButtonClick()">
          Delete
        </button>
      </div>
    </div>
  </div>
</div>
